Main Page Class Hierarchy Compound List File List Compound Members File Members

# gma.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <fft_prep.h>`
`#include <fft99.h>`
`#include <transfer.h>`
`#include <gma.h>`

Go to the source code of this file.

## Defines
#define | MAXLINE 80
## Functions
void | makeInt (long nfft, double deltat, double *fIntI)
int | makePsa (double, double, ResponseStruct *)
void | cmpmax (long kug, double *ug, double w, double damp, double delta, double *zd, double *zv, double *za)
int | gma (double input[], long npts, double deltat, ResponseStruct *origRS, double fTaper[4], double tTaper, long *pPadLen, long *pnfft, double spectPer[], int nsp, double spectDamp[], int nsd, double output[], long outBufLen, double *work, double *workFFT)
void | gmaDebug (int level)
## Variables
int | Debug = 0

## Define Documentation

#define MAXLINE 80

| Definition at line 27 of file gma.c. Referenced by readPZ().

## Function Documentation

void cmpmax | ( | long | kug,
|  | double * | ug,
|  | double | w,
|  | double | damp,
|  | double | delta,
|  | double * | zd,
|  | double * | zv,
|  | double * | za
| ) |

int gma | ( | double | input[],
|  | long | npts,
|  | double | deltat,
|  | ResponseStruct * | origRS,
|  | double | fTaper[4],
|  | double | tTaper,
|  | long * | pPadLen,
|  | long * | pnfft,
|  | double | spectPer[],
|  | int | nsp,
|  | double | spectDamp[],
|  | int | nsd,
|  | double | output[],
|  | long | outBufLen,
|  | double * | work,
|  | double * | workFFT
| ) |

| Definition at line 89 of file gma.c. References cleanPZ(), _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, fft991(), FFT_EXTRA, ftaper(), _FACT::ifax, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, logit(), makeInt(), makePsa(), PI, _ResponseStruct::Poles, prepFFT(), pzCancel(), respLen(), response(), taper(), _FACT::trigs, and _ResponseStruct::Zeros.

void gmaDebug | ( | int | level | ) |

| Definition at line 375 of file gma.c. References Debug.

void makeInt | ( | long | nfft,
|  | double | deltat,
|  | double * | fIntI
| ) | `[static]`

| Definition at line 328 of file gma.c. References PI. Referenced by gma().

int makePsa | ( | double | ,
|  | double | ,
|  | ResponseStruct * |
| ) | `[static]`

| Definition at line 349 of file gma.c. References _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, PI, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by gma().

## Variable Documentation

int Debug = 0`[static]`

| Definition at line 29 of file gma.c. Referenced by gmaDebug().